/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.bescheid.attacheditem;

import java.util.Map;

import lombok.Builder;
import lombok.Getter;
import lombok.Singular;

@Builder(toBuilder = true)
@Getter
public class AttachedItem {

	public static final String PROPERTY_ID = "id";
	public static final String PROPERTY_CLIENT = "client";
	public static final String PROPERTY_VORGANG_ID = "vorgangId";
	public static final String PROPERTY_ITEM_NAME = "itemName";
	public static final String PROPERTY_VERSION = "version";
	public static final String PROPERTY_ITEM = "item";

	private String id;
	@Builder.Default
	private long version = 0L;

	private String client;
	private String vorgangId;
	private String itemName;

	@Singular("itemEntry")
	private Map<String, Object> item;

}
