package de.ozgcloud.bescheid.vorgang;

import static org.assertj.core.api.Assertions.*;
import static org.mockito.ArgumentMatchers.*;
import static org.mockito.Mockito.*;

import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Nested;
import org.junit.jupiter.api.Test;
import org.mockito.InjectMocks;
import org.mockito.Mock;
import org.mockito.Spy;

class VorgangServiceTest {

	@Spy
	@InjectMocks
	private VorgangService service;

	@Mock
	private VorgangRemoteService remoteService;

	@Nested
	class TestGetById {

		private final Vorgang vorgang = VorgangTestFactory.create();

		@BeforeEach
		void init() {
			when(remoteService.getById(any())).thenReturn(vorgang);
		}

		@Test
		void shouldCallRemoteService() {
			service.getById(VorgangTestFactory.ID);

			verify(remoteService).getById(VorgangTestFactory.ID);
		}

		@Test
		void shouldReturnResult() {
			var result = service.getById(VorgangTestFactory.ID);

			assertThat(result).isEqualTo(vorgang);
		}
	}
}
