/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.vorgang.vorgang;

import java.time.ZonedDateTime;
import java.util.UUID;

import com.thedeanda.lorem.LoremIpsum;

import de.ozgcloud.vorgang.servicekonto.ServiceKontoTestFactory;

public class EingangHeaderTestFactory {

	public static final String CREATED_AT_STR = "2021-01-10T10:30:00Z";
	public static final ZonedDateTime CREATED_AT = ZonedDateTime.parse(CREATED_AT_STR);

	public static final String REQUEST_ID = UUID.randomUUID().toString();

	public static final String FORM_NAME = LoremIpsum.getInstance().getWords(10);
	public static final String FORM_ID = UUID.randomUUID().toString();
	public static final String SENDER = LoremIpsum.getInstance().getWords(2);

	public static final String VORGANG_NUMMER = "1234";

	public static EingangHeader create() {
		return createBuilder().build();
	}

	public static EingangHeader.EingangHeaderBuilder createBuilder() {
		return EingangHeader.builder()
				.requestId(REQUEST_ID)
				.createdAt(CREATED_AT)
				.formId(FORM_ID)
				.formName(FORM_NAME)
				.formEngineName(VorgangTestFactory.FORM_ENGINE_NAME)
				.vorgangNummer(VORGANG_NUMMER)
				.sender(SENDER)
				.serviceKonto(ServiceKontoTestFactory.create());

	}
}
